| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
USART Mode Control
USART Control Codes

Specify USART mode. More...

## Macros

#define | ARM_USART_MODE_ASYNCHRONOUS (0x01UL << ARM_USART_CONTROL_Pos)
| UART (Asynchronous); arg = Baudrate.
#define | ARM_USART_MODE_SYNCHRONOUS_MASTER (0x02UL << ARM_USART_CONTROL_Pos)
| Synchronous Master (generates clock signal); arg = Baudrate.
#define | ARM_USART_MODE_SYNCHRONOUS_SLAVE (0x03UL << ARM_USART_CONTROL_Pos)
| Synchronous Slave (external clock signal)
#define | ARM_USART_MODE_SINGLE_WIRE (0x04UL << ARM_USART_CONTROL_Pos)
| UART Single-wire (half-duplex); arg = Baudrate.
#define | ARM_USART_MODE_IRDA (0x05UL << ARM_USART_CONTROL_Pos)
| UART IrDA; arg = Baudrate.
#define | ARM_USART_MODE_SMART_CARD (0x06UL << ARM_USART_CONTROL_Pos)
| UART Smart Card; arg = Baudrate.

## Description

Specify USART mode.

## Macro Definition Documentation

#define ARM_USART_MODE_ASYNCHRONOUS (0x01UL << ARM_USART_CONTROL_Pos)

UART (Asynchronous); arg = Baudrate.

See Also
  ARM_USART_Control

#define ARM_USART_MODE_IRDA (0x05UL << ARM_USART_CONTROL_Pos)

UART IrDA; arg = Baudrate.

See Also
  ARM_USART_Control

#define ARM_USART_MODE_SINGLE_WIRE (0x04UL << ARM_USART_CONTROL_Pos)

UART Single-wire (half-duplex); arg = Baudrate.

See Also
  ARM_USART_Control

#define ARM_USART_MODE_SMART_CARD (0x06UL << ARM_USART_CONTROL_Pos)

UART Smart Card; arg = Baudrate.

See Also
  ARM_USART_Control

#define ARM_USART_MODE_SYNCHRONOUS_MASTER (0x02UL << ARM_USART_CONTROL_Pos)

Synchronous Master (generates clock signal); arg = Baudrate.

See Also
  ARM_USART_Control

#define ARM_USART_MODE_SYNCHRONOUS_SLAVE (0x03UL << ARM_USART_CONTROL_Pos)

Synchronous Slave (external clock signal)

See Also
  ARM_USART_Control